Bug 190969 - Module option for tda9887 should include qss=0 for Pinnacle PCTV Rave Card
Module option for tda9887 should include qss=0 for Pinnacle PCTV Rave Card
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
: 190967 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-07 12:21 EDT by Al Thomas
Modified: 2008-11-26 12:36 EST (History)
4 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:36:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Al Thomas 2006-05-07 12:21:17 EDT
Description of problem:
No sound is produced by Pinnacle PCTV Rave TV card with default options passed
to sound mixer on card. 

Version-Release number of selected component (if applicable):


How reproducible:
For the United Kingdom, options passed to tda9887 by modprobe.conf are:
options tda9887 pal=i

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No sound from TV card

Expected results:
Sound from TV card

Additional info:
After research the Pinnacle PCTV Rave card does not support QuasiSplitSound
demodulation so needs to have this switched off. The default for the tda9887
driver is to have it on.

In modprobe.conf the qss=0 option needs to be added for this type of card (
card=39 from bttv driver ):
options tda9887 pal=i qss=0

Fedora Core had correctly detected that pal=i option should be included for my
country.
Comment 1 Harald Hoyer 2006-05-08 08:06:10 EDT
*** Bug 190967 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2006-05-10 01:46:49 EDT
(In reply to comment #0)

> Fedora Core had correctly detected that pal=i option should be included for my
> country.

Where did it do this (I'm curious....)
Comment 3 Al Thomas 2006-05-10 14:42:39 EDT
OK, now you've made me think about it, maybe it wasn't done automatically. It
could have been me who inserted the option when I first installed an earlier
version of FC.

My pre FC5 install modprobe.conf was:
alias snd-card-0 snd-intel8x0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias char-major-81 bt878
#options tuner pal=i
options tda9887 pal=i
alias scsi_hostadapter sata_nv

and my post install + my fix:
alias snd-card-0 snd-intel8x0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd
alias char-major-81 bt878
#options tuner pal=i
options tda9887 pal=i qss=0
alias scsi_hostadapter sata_nv
alias eth0 forcedeth

So the only difference is the addition of the eth0 alias and my fix.

Have just tried removing pal=i option and found the sound does not work.
Comment 4 Bill Nottingham 2006-05-10 16:12:41 EDT
So, is there something that distinguishes your card from other tda9887 cards
that would make it easy to automatically know that it needs qss=0 or pal=i? 
Comment 5 Al Thomas 2006-05-11 16:44:59 EDT
Not sure.

pal=i option
------------
modinfo on tda9887 shows it can also have options for NTSC and SECAM. So seems
to be a worldwide chip. The PAL option is for the United Kingdom and Ireland,
but there are other options for different PAL systems in different countries.
More info from:
http://en.wikipedia.org/wiki/PAL
http://stjarnhimlen.se/tv/tv.html
What would probably be needed is some user input to identify their country and a
lookup table.

qss=0
-----
For some reason the tda9887 driver went over to having qss=1 as the default a
couple of years ago:
http://linuxtv.org/cgi-bin/viewcvs.cgi/v4l-kernel/linux/drivers/media/video/tda9887.c?rev=1.8&root=v4l&view=markup
The bttv driver identifies my card as type 39, which is for Pinnacle PCTV
Studio/Rave ( see http://linuxtv.org/v4lwiki/index.php/Cardlist.BTTV ) which may
be a way of deciding to turn off the qss option, but don't know enough about the
cards to be sure.



Comment 6 Bill Nottingham 2006-05-16 15:56:03 EDT
OK. So. we don't currently have a good infrastructure for the first. As for the
latter, that would be done in the module itself, so assigning to the kernel.
Comment 7 Dave Jones 2006-10-16 15:34:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Al Thomas 2006-10-28 10:45:49 EDT
(In reply to comment #7)
> A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
> based upon a new upstream kernel release.
> 
> Please retest against this new kernel

Tested against kernel version 2.6.18-1.2798.fc6.

The tda9887 module has been merged into the tuner module - see 2.6.18-rc1 changelog.

Upgrading the kernel stopped the tuner producing any recognisable sound, only
noise. So no fix has been made for this bug.

Modifying modprobe.conf so the previous options passed to tda9887 are now passed
to tuner mean the sound works again. Options now used in modprobe.conf:
tuner pal=i qss=0

Thanks
Comment 9 Bug Zapper 2008-04-03 22:49:41 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Al Thomas 2008-04-05 08:47:27 EDT
tda9887 module no longer exists, but is now tuner module. Bug still applies when
tested against FC8. Module option should be qss=0 for this type of card. 

Any development on using a user's jurisdiction for setting broadcast
information. In my case 'pal = i' also needs to be set as I live in the United
Kingdom legal jurisdiction and the analogue signal gets broadcast in PAL I,
Comment 11 Bug Zapper 2008-11-26 01:57:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Jon Stanley 2008-11-26 12:36:15 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.